[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# THTDataNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Data node for pointer hashtable

## Declaration

Source position: contnrs.pp line 397

`type THTDataNode = class(THTCustomNode)`
`public`
`property Data: pointer; [rw]` |  | Data pointer
`end;`

## Inheritance

`THTDataNode` |  | Data node for pointer hashtable
`THTCustomNode` |  | Single item in the hash table.
`TObject`

## Description

THTDataNode is used by TFPDataHashTable to store the hash items in. It simply holds the data pointer.

It should not be necessary to use THTDataNode directly, it's only for inner use by TFPDataHashTable

## See also

TFPDataHashTable |  | Hash table for data pointers
THTObjectNode |  | Node type for TFPObjectHashTable
THTStringNode |  | Node type for TFPStringHashTable

The latest version of this document can be found at lazarus-ccr.sourceforge.net .